repo/proj/guru:dev commit in: dev-util/riffdiff/

"Nicolas PARLANT" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787128508.86e84f8d8ba674c36a6bb9787096dbd6c5057ba9.ppn@gentoo>
commit:     86e84f8d8ba674c36a6bb9787096dbd6c5057ba9
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Wed Aug 19 08:33:00 2026 +0000
Commit:     Nicolas PARLANT <ppn <AT> parhuet <DOT> fr>
CommitDate: Wed Aug 19 08:35:08 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=86e84f8d

dev-util/riffdiff: add 3.6.2

explicit sys-apps/diffutils as rdep

Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>

 dev-util/riffdiff/Manifest              |  2 ++
 dev-util/riffdiff/riffdiff-3.6.2.ebuild | 44 +++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-util/riffdiff/Manifest b/dev-util/riffdiff/Manifest
index 13babd6345..20bc144913 100644
--- a/dev-util/riffdiff/Manifest
+++ b/dev-util/riffdiff/Manifest
@@ -1,2 +1,4 @@
 DIST riffdiff-3.4.0-crates.tar.xz 14391992 BLAKE2B ca755f3c8789666d957660389d45a0c6e9cc8c33df8834a16746165adbb96469c29f75cd691539a505a8b94a06cf1ec838ecd4374f645715bb8bbdd6c807a88a SHA512 56c033bac8d50a00b6c8a27cd460f4131a002ab5add91ce4f5117f0518e489040ba37d75cafccf6f8859c050d1ad0e22243a7e9158bd8eb514b7f6eb7c635749
 DIST riffdiff-3.6.1.tar.gz 2200291 BLAKE2B 406f241ba16839b38960c1bc0f5e9cb080881e245678214f9cea6db064d2177d91ee7276b28cabc5666ba30249828571d0044739724d13af6124432e257b91bb SHA512 ab06e7d4cc2333dabc52206c9aa1c68855e8e376456bb0d565dfa7dd5904ca12ba5a028aad67cd8a0a70c444bc49d6abf2a9ba4c9f01a871ec490726a9046a40
+DIST riffdiff-3.6.2-crates.tar.xz 13323176 BLAKE2B 47e92e8b88e3433de63cb2d5eed6998ebb5780287325fe5280b11596e39fa9b13df2f2290c52e07027b2d7d2d2c7386f8ffc4833dec9321908616e3a736c7388 SHA512 e0c5030a6c81ecbd19a2ab9a09ec94767673fc7995dc582f132eb78c46e36bdc4c340406c35a303219027138dfa2088e3f494ec18820a9f3671cd7696388e657
+DIST riffdiff-3.6.2.tar.gz 2201000 BLAKE2B cb9e1a07be610339453679e4999b2f8a386314e02ad93c40c13349fda66640dc35fb600c18668862dc0b90e9378c9f9064df410090598203b3cc1a7ecccc4409 SHA512 d350896b26d6ba35fc8c1a0b94889ba10b9b537b08515b6025b58baeaf784161feb1559ddaa521c85a92ed3f70d043743496c8019015b69eefd45d6fd5ccdc24

diff --git a/dev-util/riffdiff/riffdiff-3.6.2.ebuild b/dev-util/riffdiff/riffdiff-3.6.2.ebuild
new file mode 100644
index 0000000000..f5d32dff61
--- /dev/null
+++ b/dev-util/riffdiff/riffdiff-3.6.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+RUST_MIN_VER="1.87.0"
+
+inherit cargo optfeature
+
+# last update of Cargo.lock
+CRATES_PV="3.6.2"
+DESCRIPTION="Diff filter highlighting changed line parts"
+HOMEPAGE="https://github.com/walles/riff/"
+SRC_URI="https://github.com/walles/riff/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://raw.githubusercontent.com/PPN-SD/vendor/refs/tags/${PN}-${CRATES_PV}/${PN}-${CRATES_PV}-crates.tar.xz"
+S="${WORKDIR}/${P/diff/}"
+
+LICENSE="MIT"
+# Autogenerated by pycargoebuild
+# Dependent crate licenses
+LICENSE+=" Apache-2.0 BSD-2 MIT Unicode-3.0 Unicode-DFS-2016"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="sys-apps/diffutils"
+
+QA_FLAGS_IGNORED="usr/bin/riff"
+
+src_prepare() {
+	default
+	sed -i -e '/^lto =/d' Cargo.toml || die
+}
+
+src_install() {
+	cargo_src_install
+	dodoc README.md
+}
+
+pkg_postinst() {
+	optfeature "a nice pager with extra rendering" sys-apps/moor
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.